//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: Misc utility code.
//
// $NoKeywords: $
//=============================================================================//

#ifndef UTILHL2WARSSHARED_H
#define UTILHL2WARSSHARED_H
#ifdef _WIN32
#pragma once
#endif

// -- prototypes follow here
bool	UTIL_ValidBuildingPosition( Vector origin, QAngle angle, Vector mins, Vector maxs, float tolerance, bool ignorefriendly, int teamid  );

// ----------------
bool	UTIL_IsValidTeam( int team_id, bool default_teams );

bool	UTIL_IsRTSClientBrush( CBaseEntity *pEntity );
void	UTIL_MouseGroundPos( Vector &origin, Vector &direction, CBaseEntity *ignore, Vector *position, Vector *normal );
QAngle	UTIL_CalculateDirection( Vector point1, Vector point2 );

#endif // UTILHL2WARSSHARED_H